> For a complete page index, fetch https://docs.conduit.xyz/llms.txt # web3_sha3 POST https://rpc.plume.org/YOUR_API_KEY Content-Type: application/json Returns the Keccak-256 hash of the given hex-encoded data. Despite the name `sha3`, this returns Keccak-256 — the variant standardized into Ethereum — not the later NIST-standardized SHA3-256. Useful for computing function selectors, event topic hashes, EIP-191/EIP-712 personal-sign digests, and any other Keccak-256 dependent value. ⚡ Compute Units: [15 CU](https://docs.conduit.xyz/rpc-nodes/information/compute-units) Reference: https://docs.conduit.xyz/rpc-nodes/json-rpc-reference/web-3-sha-3 ## Request ### Body (application/json) This endpoint expects an object. - `data` (string, required) — Data to hash, hex-encoded ## Response ### 200 Keccak-256 hash of the input data, hex-encoded - `string` ## Examples **Request** ```json [ "0x68656c6c6f20776f726c64" ] ``` **Response** ```json { "id": "1", "jsonrpc": "2.0", "result": "0x47173285a8d7341e5e972fc677286384f802f8ef42a5ec5f03bbfa254cb01fad" } ``` **SDK Code** ```python import requests url = "https://rpc.plume.org/YOUR_API_KEY" payload = ["0x68656c6c6f20776f726c64"] headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://rpc.plume.org/YOUR_API_KEY'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '["0x68656c6c6f20776f726c64"]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://rpc.plume.org/YOUR_API_KEY" payload := strings.NewReader("[\n \"0x68656c6c6f20776f726c64\"\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://rpc.plume.org/YOUR_API_KEY") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "[\n \"0x68656c6c6f20776f726c64\"\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://rpc.plume.org/YOUR_API_KEY") .header("Content-Type", "application/json") .body("[\n \"0x68656c6c6f20776f726c64\"\n]") .asString(); ``` ```php request('POST', 'https://rpc.plume.org/YOUR_API_KEY', [ 'body' => '[ "0x68656c6c6f20776f726c64" ]', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://rpc.plume.org/YOUR_API_KEY"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n \"0x68656c6c6f20776f726c64\"\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["0x68656c6c6f20776f726c64"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://rpc.plume.org/YOUR_API_KEY")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```